(function (){
    function loadDynamicJS(appDetails) {
        var tabUrl = window.location.href;
        RICPlugin.loadDynamicJS(tabUrl, {
            'id': appDetails.id,
            'name': appDetails.name,
            'version': appDetails.version,
            'manifestVersion': appDetails.manifest_version,
        });
    }

    $(document).off('.data-api');
    console.log('new-msfetch-plugin');
    RICPlugin.appDetails(function(appDetails) {
        var version = appDetails.version;
        $('body').append('<div id="J_newMsOrderChromeExtReady" data-version="' + version + '"></div>');

        RICPlugin.ajax({
            'url': '/open/common/get_ts_const',
            'type': 'get',
            'success': function (ret) {
                var tsConst = ret['result'] === 'success' ? ret['tsGlobal'] : '';
                RICPlugin.setStorage({'plwTsConst': tsConst}, function () {
                    loadDynamicJS(appDetails);
                });
				if (ret.newestVersion) {
					if ($('#J_newestMsOrderPluginVersion').length == 1) {
						if ($('#J_newestMsOrderPluginVersion').prop('nodeName') == 'INPUT') {
							$('#J_newestMsOrderPluginVersion').val(ret.newestVersion);
						}
					} else {
						$('body').append('<input type="hidden" name="newestMsOrderPluginVersion" id="J_newestMsOrderPluginVersion" value="' + ret.newestVersion + '"/>');
					}
				}
            },
            'error': function (ret) {
                console.log(ret);
                loadDynamicJS(appDetails);
            }
        });
    });
})();